let isEnabled = true;

// טוען את מצב התוסף ומאזין לשינויים בו
async function initialize() {
  const { isEnabled: storedValue } = await chrome.storage.local.get('isEnabled');
  isEnabled = storedValue ?? true;
  chrome.storage.local.set({ isEnabled });
}

// הפונקציה המטפלת במצב המדיה
async function handleMediaInTabs(activeTabId) {
  try {
    const tab = await chrome.tabs.get(activeTabId);
    if (tab.audible) pauseOtherTabs(activeTabId);
  } catch (error) {
    // מתעלם משגיאה אם הטאב אינו זמין
  }
}

// מפסיק את המדיה בטאבים שאינם פעילים
async function pauseOtherTabs(activeTabId) {
  const tabs = await chrome.tabs.query({ audible: true });
  tabs.forEach(({ id }) => {
    if (id !== activeTabId) {
      chrome.scripting.executeScript({
        target: { tabId: id },
        func: () => {
          document.querySelectorAll('video, audio').forEach(media => media.pause());
        }
      }).catch(() => {}); // מתעלם משגיאה אם הטאב לא זמין
    }
  });
}

// מאזינים לעדכוני מדיה ולחיצה על טאבים פעילים
chrome.tabs.onUpdated.addListener((tabId, changeInfo) => {
  if (isEnabled && changeInfo.audible) handleMediaInTabs(tabId);
});
chrome.tabs.onActivated.addListener(({ tabId }) => {
  if (isEnabled) handleMediaInTabs(tabId);
});

// אתחול
initialize();
