document.addEventListener('DOMContentLoaded', async () => {
  const toggleSwitch = document.getElementById('toggleSwitch');
  const statusText = document.getElementById('statusText');

  // טוען את המצב הנוכחי של התוסף
  const { isEnabled } = await chrome.storage.local.get('isEnabled');
  toggleSwitch.checked = isEnabled ?? true;
  updateStatusText(toggleSwitch.checked);

  toggleSwitch.addEventListener('change', () => {
    const isEnabled = toggleSwitch.checked;
    chrome.storage.local.set({ isEnabled });
    updateStatusText(isEnabled);
  });

  function updateStatusText(isEnabled) {
    statusText.textContent = isEnabled ? "מופעל" : "כבוי";
  }
});
